<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <UserSecretsId>ee37900f-0785-4049-a6b4-e7eedf151ff2</UserSecretsId>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Hims.Api.xml</DocumentationFile>
    <OutputPath>bin\</OutputPath>
    <WarningLevel>5</WarningLevel>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>bin\Hims.Api.xml</DocumentationFile>
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Controllers\ProviderAssistantController.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Swagger\index.html" />
    <None Remove="Models\RealTime\" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Swagger\index.html" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\assets\images\headbg.svg" />
    <None Include="wwwroot\assets\js\bootstrap-slider.min.js" />
    <None Include="wwwroot\assets\js\bootstrap.min.js" />
    <None Include="wwwroot\assets\js\jquery.min.js" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="10.1.1" />
    <PackageReference Include="ClosedXML" Version="0.95.3" />
    <PackageReference Include="CorePush" Version="3.1.0" />
    <PackageReference Include="FireSharp" Version="2.0.4" />
    <PackageReference Include="Hangfire.AspNetCore" Version="1.7.31" />
    <PackageReference Include="Hangfire.MemoryStorage.Core" Version="1.4.0" />
    <PackageReference Include="IdentityServer4" Version="4.1.1" />
    <PackageReference Include="IdentityServer4.AccessTokenValidation" Version="3.0.1" />
    <PackageReference Include="IdentityServer4.EntityFramework" Version="4.1.1" />
    <PackageReference Include="IdentityServer4.EntityFramework.Storage" Version="4.1.1" />
    <PackageReference Include="Microsoft.AspNetCore.Cors" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="3.1.9">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.TaskRunnerExplorer.14.0" Version="14.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.4" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="3.1.4" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="5.6.3" />
    <PackageReference Include="TaskRunner" Version="1.0.0" />
    <PackageReference Include="Webpack" Version="4.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Infrastructure\Hims.Infrastructure.Configurations\Hims.Infrastructure.Configurations.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Hims.Infrastructure.Helpers\Hims.Infrastructure.Helpers.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Hims.Infrastructure.Repositories\Hims.Infrastructure.Repositories.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Hims.Infrastructure.Services\Hims.Infrastructure.Services.csproj" />
    <ProjectReference Include="..\..\Shared\Hims.Shared.DataFilters\Hims.Shared.DataFilters.csproj" />
    <ProjectReference Include="..\..\Shared\Hims.Shared.EntityModels\Hims.Shared.EntityModels.csproj" />
    <ProjectReference Include="..\..\Shared\Hims.Shared.Library\Hims.Shared.Library.csproj" />
    <ProjectReference Include="..\..\Shared\Hims.Shared.UserModels\Hims.Shared.UserModels.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\assets\fonts\" />
    <Folder Include="wwwroot\assets\images\highrisk\" />
    <Folder Include="wwwroot\logs\" />
    <Folder Include="Models\RealTime\" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="https://json.schemastore.org/babelrc.json" /></VisualStudio></ProjectExtensions>
</Project>
